# Round Robin Assign Multiple Items

Assigns a list of item to users associated with a Gradient Works Queue. The items may be of any type (e.g. Account, Lead, etc). The assignments are performed immediately.

You can access the results of the assignment attempts in the List of [Assignment](/kb/automation-builder-kit-abk/models/assignment.md) objects included in the output. It will include information about if each assignment completed successfully or if there was an error as well as information about the user that received the item. You can loop over these as inputs to other actions such as [Send Single Assignment Email](/kb/automation-builder-kit-abk/actions/next-steps/sendsingleemailnotificationaction.md) or [Send Slack Message](/kb/automation-builder-kit-abk/actions/next-steps/sendchatnotificationaction.md).

If you specify a capacity using `capacityValue` or `capacityValueField`, that value will be used in capacity calculations when assigning the item to a user. For example, if you specify a `capacityValue` of 5, users must have an `availableCapacity` greater than or equal to 5 to be eligible for assignment. If no capacity is specified, we assume a null capacity value for the item and do not perform any capacity calculations during assignment.

## Inputs

| Name               | Required | Type           | Description                                                      |
| ------------------ | -------- | -------------- | ---------------------------------------------------------------- |
| queue              | Yes      | String         | The queue to add to. May be an Id or the queue name.             |
| capacityValue      | No       | Long           | Capacity value to apply to all items                             |
| capacityValueField | No       | String         | Retrieve capacity value from this field on each object           |
| items              | No       | List\<SObject> | List of items to add to the queue. May be any Salesforce object. |

## Outputs

| Name        | Type                                                                    | Description                                                                    |
| ----------- | ----------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
| assignments | List<[Assignment](/kb/automation-builder-kit-abk/models/assignment.md)> | Information about each of the assignments in the same order as the input items |
| count       | Integer                                                                 | The total number of assignments performed                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/actions/assignment/assignmultiitemaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
